/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * MainSenderForm.java
 *
 * Created on 14/03/2011, 03:36:24 PM
 */

package pe.gob.sunat.tecnologia.receptor.cliente.forms;

import pe.gob.sunat.tecnologia.receptor.cliente.forms.enumeration.Operacion;
import java.awt.event.KeyEvent;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.net.UnknownHostException;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import java.util.Properties;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.SwingWorker;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jdesktop.application.Action;

/**
 * Esta clase permite enviar los archivos al SEIDA y consultar el resultado basado en los tickets devueltos.
 *
 * @author JVALDEZ
 */
public class MainSenderForm extends javax.swing.JFrame {
    protected final Log log = LogFactory.getLog(getClass());
    private static String FILEPROPERTIES = "./seidatools.config";
    private List<ItemTablaEnviar> itemsTablaEnviar = new ArrayList<ItemTablaEnviar>();
    private List<ItemTablaConsultar> itemsTablaConsultar = new ArrayList<ItemTablaConsultar>();
    private String[] columnNames = {"Num Transaccion", "Archivo a Enviar"};
    private String[] columnNamesConsultar = {"Año", "Ticket", "Archivo recibido"};
    private TaskEnviar taskEnviar;
    private TaskConsultar taskConsultar;
    private Properties defaults = new Properties();
    private String nombreWsdl = "";

    /**
     * Contiene un item de la tabla de envios
     */
    public class ItemTablaEnviar {
        private String numTransaccion;
        private String nomArchivo;

        /**
         * @return the numTransaccion
         */
        public String getNumTransaccion() {
            return numTransaccion;
        }

        /**
         * @param numTransaccion the numTransaccion to set
         */
        public void setNumTransaccion(String numTransaccion) {
            this.numTransaccion = numTransaccion;
        }

        /**
         * @return the nomArchivo
         */
        public String getNomArchivo() {
            return nomArchivo;
        }

        /**
         * @param nomArchivo the nomArchivo to set
         */
        public void setNomArchivo(String nomArchivo) {
            this.nomArchivo = nomArchivo;
        }

        public boolean equals(Object o) {
            if(o instanceof ItemTablaEnviar){
                return (this.numTransaccion + this.nomArchivo).equals(((ItemTablaEnviar)o).numTransaccion+((ItemTablaEnviar)o).nomArchivo);
            }else{
                throw new UnsupportedOperationException("Not supported yet.");
            }
        }
    }

    /**
     * contiene un item de la tabla de consulta
     */
    public class ItemTablaConsultar implements Comparable {
        private String anhoEnvio;
        private String numTicket;
        private String nomArchivoRpta;

        /**
         * @return the anhoEnvio
         */
        public String getAnhoEnvio() {
            return anhoEnvio;
        }

        /**
         * @param anhoEnvio the anhoEnvio to set
         */
        public void setAnhoEnvio(String anhoEnvio) {
            this.anhoEnvio = anhoEnvio;
        }

        /**
         * @return the numTicket
         */
        public String getNumTicket() {
            return numTicket;
        }

        /**
         * @param numTicket the numTicket to set
         */
        public void setNumTicket(String numTicket) {
            this.numTicket = numTicket;
        }

        /**
         * @return the nomArchivoRpta
         */
        public String getNomArchivoRpta() {
            return nomArchivoRpta;
        }

        /**
         * @param nomArchivoRpta the nomArchivoRpta to set
         */
        public void setNomArchivoRpta(String nomArchivoRpta) {
            this.nomArchivoRpta = nomArchivoRpta;
        }

        public boolean equals(Object o) {
            if(o instanceof ItemTablaConsultar){
                return (this.anhoEnvio + this.numTicket).equals(((ItemTablaConsultar)o).anhoEnvio+((ItemTablaConsultar)o).numTicket);
            }else{
                throw new UnsupportedOperationException("Not supported yet.");
            }
        }

        public int compareTo(Object o) {
            if(o instanceof ItemTablaConsultar){
                return (this.anhoEnvio + this.numTicket).compareTo(((ItemTablaConsultar)o).anhoEnvio+((ItemTablaConsultar)o).numTicket);
            }else{
                throw new UnsupportedOperationException("Not supported yet.");
            }
        }

    }

    /**
     * tarea encargada de crear los hilos y enviar los archivos
     */
    class TaskEnviar extends SwingWorker<Void, Void> {
        private Sender thread[];
        /*
         * Main task. Executed in background thread.
         */
        @Override
        public Void doInBackground() {
            //Initialize progress property.

            jButton1.setEnabled(false);

            jTextArea1.append("Enviando archivos...\n\n");
            jTextArea1.setLineWrap(true);
            log.info("Enviando archivos");

            thread = new Sender[itemsTablaEnviar.size()];
            for (int i = 0; i < itemsTablaEnviar.size(); i++) {

                thread[i] = new Sender("Hilo " + i, Operacion.OP_ENVIAR);
                thread[i].setRuc(jFormattedTextField2.getText().trim());
                thread[i].setCodigoEnvio(jTextField7.getText().trim());
                thread[i].setUsuario(jFormattedTextField3.getText().trim());
                thread[i].setClave(new String(jPasswordField1.getPassword()));

                thread[i].setNumeroTransaccion(itemsTablaEnviar.get(i).getNumTransaccion());
                thread[i].setArchivoEnviar(itemsTablaEnviar.get(i).getNomArchivo());

                thread[i].setAreaMensajes(jTextArea1);
                thread[i].setProgressBar(jProgressBar1);

                thread[i].setDireccionIP(jLblDireccionIP.getText());
                thread[i].setMacAddress(jLblMacAddress.getText());
                thread[i].setRutaArchivos(jTextField5.getText());

                jTextArea1.append("Envio : " + (i + 1) + " Archivo : " + itemsTablaEnviar.get(i).getNomArchivo() + "\n");
                log.info("Envio : " + (i + 1) + " Archivo : " + itemsTablaEnviar.get(i).getNomArchivo());

                thread[i].start();

            }
            return null;
        }

        /*
         * Executed in event dispatching thread
         */
        @Override
        public void done() {
            jButton1.setEnabled(true);
            setCursor(null); //turn off the wait cursor

            jTextArea1.append("\nFinalizando invocaciones !OK ..." + Util.getTimeNow() + "\n\n");
            jTextArea1.append("\nRecibiendo ...\n\n");
            log.info("Finalizando invocaciones !OK ..." + Util.getTimeNow());

            //Inicializando colecciones
            itemsTablaEnviar.clear();

            tableRegenerateEnviar();

            CheckProcess checkProcess = new CheckProcess();
            checkProcess.setAreaMensajes(jTextArea1);
            checkProcess.setEnvios(thread);
            checkProcess.setRutaArchivos(jTextField5.getText());
            checkProcess.start();

        }
    }

     /**
     * tarea encargada de crear los hilos y enviar las consultas
     */
    class TaskConsultar extends SwingWorker<Void, Void> {
        /*
         * Main task. Executed in background thread.
         */
        @Override
        public Void doInBackground() {
            //Initialize progress property.
            jButton6.setEnabled(false);

            jTextArea2.append("Enviando tickets...\n\n");
            jTextArea2.setLineWrap(true);
            log.info("Enviando tickets");

            Sender thread[] = new Sender[itemsTablaConsultar.size()];
            for (int i = 0; i < itemsTablaConsultar.size(); i++) {

                thread[i] = new Sender(Integer.toString(i), Operacion.OP_CONSULTAR);
                thread[i].setRuc(jFormattedTextField2.getText().trim());
                thread[i].setCodigoEnvio(jTextField7.getText().trim());
                thread[i].setUsuario(jFormattedTextField3.getText().trim());
                thread[i].setClave(new String(jPasswordField1.getPassword()));

                thread[i].setAnhoEnvio(itemsTablaConsultar.get(i).getAnhoEnvio());
                thread[i].setNumeroTicket(itemsTablaConsultar.get(i).getNumTicket());
                thread[i].setAreaMensajes(jTextArea2);
                thread[i].setProgressBar(jProgressBar2);
                thread[i].setListaElementos(jTable2);

                thread[i].setDireccionIP(jLblDireccionIP.getText());
                thread[i].setMacAddress(jLblMacAddress.getText());
                thread[i].setRutaArchivos(jTextField6.getText());

                jTextArea2.append("Envio : " + (i + 1) + " Año/Ticket : " + itemsTablaConsultar.get(i).getAnhoEnvio() + "/" + itemsTablaConsultar.get(i).getNumTicket() + "\n");
                log.info("Envio : " + (i + 1) + " Año/Ticket : " + itemsTablaConsultar.get(i).getAnhoEnvio() + "/" + itemsTablaConsultar.get(i).getNumTicket() );

                thread[i].start();

            }
            return null;
        }

        /*
         * Executed in event dispatching thread
         */
        @Override
        public void done() {
            jButton6.setEnabled(true);
            setCursor(null); //turn off the wait cursor

            jTextArea2.append("\nFinalizando invocaciones !OK ..." + Util.getTimeNow() + "\n\n");
            jTextArea2.append("\nRecibiendo ...\n\n");
            log.info("Finalizando invocaciones !OK ..." + Util.getTimeNow());

        }
    }

    /**
     * Filtro de los archivos que pueden ser procesados, el ZIP es para enviar
     * el TXT contiene las rutas de los archivos ZIP a enviar
     */
    class ZipFilter extends javax.swing.filechooser.FileFilter {

        /**
         *
         * @param file
         * @return
         */
        public boolean accept(File file) {
            if (file.isDirectory()) {
                return true;
            }
            String filename = file.getName();
            return filename.endsWith(".zip") || filename.endsWith(".txt");
        }

        /**
         *
         * @return
         */
        public String getDescription() {
            return "*.zip *.txt";
        }
    }
    /**
     * Filtro para procesar archivos TXT que contiene los numeros de tickets
     * para consultar
     */
    class TxtFilter extends javax.swing.filechooser.FileFilter {

        /**
         *
         * @param file
         * @return
         */
        public boolean accept(File file) {
            if (file.isDirectory()) {
                return true;
            }
            String filename = file.getName();
            return filename.endsWith(".txt");
        }

        /**
         *
         * @return
         */
        public String getDescription() {
            return "*.txt";
        }
    }

    /** Creates new form MainSenderForm */
    public MainSenderForm() {
        initComponents();
        initDefaults();
    }

    /**
     * Inicializa los campos de autenticacion, y directorios de donde se leen
     * los archivos de configuracion
     */
    private void initDefaults() {
        try {
            File f = new File(FILEPROPERTIES);
            defaults.load(new FileInputStream(f));

            this.nombreWsdl = defaults.getProperty("webService");
            this.jLabel18.setText(nombreWsdl.trim());

            this.jTextField3.setText(defaults.getProperty("dirDoc"));
            this.jTextField5.setText(defaults.getProperty("dirAcuse"));
            this.jTextField6.setText(defaults.getProperty("dirRpta"));

            this.jFormattedTextField5.setText(defaults.getProperty("ruc"));
            this.jFormattedTextField2.setText(defaults.getProperty("ruc"));
            this.jFormattedTextField6.setText(defaults.getProperty("usuarioSOL"));
            this.jFormattedTextField3.setText(defaults.getProperty("usuarioSOL"));
            this.jFormattedTextField7.setText(defaults.getProperty("codigoEnvio"));
            this.jTextField7.setText(defaults.getProperty("codigoEnvio"));

        } catch (IOException ex) {
            log.error(this, ex);
        }
    }
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jPanel4 = new javax.swing.JPanel();
        jLabel12 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jTextField7 = new javax.swing.JTextField();
        jLabel15 = new javax.swing.JLabel();
        jPasswordField1 = new javax.swing.JPasswordField();
        jFormattedTextField2 = new javax.swing.JFormattedTextField();
        jFormattedTextField3 = new javax.swing.JFormattedTextField();
        jTabbedPane1 = new javax.swing.JTabbedPane();
        jPanel2 = new javax.swing.JPanel();
        jButton1 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jButton2 = new javax.swing.JButton();
        jDesktopPane1 = new javax.swing.JDesktopPane();
        jLabel6 = new javax.swing.JLabel();
        jTextField2 = new javax.swing.JTextField();
        jButton3 = new javax.swing.JButton();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextArea1 = new javax.swing.JTextArea();
        jProgressBar1 = new javax.swing.JProgressBar();
        jLabel7 = new javax.swing.JLabel();
        jFormattedTextField1 = new javax.swing.JFormattedTextField();
        jButton10 = new javax.swing.JButton();
        jPanel3 = new javax.swing.JPanel();
        jPanel5 = new javax.swing.JPanel();
        jPanel6 = new javax.swing.JPanel();
        jLabel8 = new javax.swing.JLabel();
        jSpinner1 = new javax.swing.JSpinner();
        jLabel9 = new javax.swing.JLabel();
        jFormattedTextField4 = new javax.swing.JFormattedTextField();
        jPanel7 = new javax.swing.JPanel();
        jLabel10 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();
        jButton5 = new javax.swing.JButton();
        jButton4 = new javax.swing.JButton();
        jScrollPane3 = new javax.swing.JScrollPane();
        jTable2 = new javax.swing.JTable();
        jScrollPane4 = new javax.swing.JScrollPane();
        jTextArea2 = new javax.swing.JTextArea();
        jButton6 = new javax.swing.JButton();
        jProgressBar2 = new javax.swing.JProgressBar();
        jLabel11 = new javax.swing.JLabel();
        jButton7 = new javax.swing.JButton();
        jPanel8 = new javax.swing.JPanel();
        jPanel11 = new javax.swing.JPanel();
        jLabel16 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jTextField3 = new javax.swing.JTextField();
        jFormattedTextField5 = new javax.swing.JFormattedTextField();
        jFormattedTextField6 = new javax.swing.JFormattedTextField();
        jFormattedTextField7 = new javax.swing.JFormattedTextField();
        jButton8 = new javax.swing.JButton();
        jButton9 = new javax.swing.JButton();
        jLabel22 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jTextField5 = new javax.swing.JTextField();
        jButton11 = new javax.swing.JButton();
        jTextField6 = new javax.swing.JTextField();
        jButton12 = new javax.swing.JButton();
        jLblDireccionIP = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jLblMacAddress = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jScrollPane5 = new javax.swing.JScrollPane();
        jTextArea3 = new javax.swing.JTextArea();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        jMenu2 = new javax.swing.JMenu();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("NSIGAD - SEIDA TOOL");
        setResizable(false);

        jPanel1.setName("jPanel1"); // NOI18N

        jLabel2.setFont(new java.awt.Font("Tahoma", 0, 18));
        jLabel2.setForeground(java.awt.Color.blue);
        jLabel2.setText("NSIGAD - Herramienta de Soporte");
        jLabel2.setName("jLabel2"); // NOI18N

        jLabel3.setForeground(java.awt.Color.blue);
        jLabel3.setText("Version 1.1");
        jLabel3.setName("jLabel3"); // NOI18N

        jPanel4.setBorder(javax.swing.BorderFactory.createTitledBorder("Datos de autenticación"));
        jPanel4.setName("jPanel4"); // NOI18N

        jLabel12.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel12.setText("RUC");
        jLabel12.setName("jLabel12"); // NOI18N

        jLabel14.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel14.setText("Usuario SOL");
        jLabel14.setName("jLabel14"); // NOI18N

        jLabel13.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel13.setText("Código de Envío");
        jLabel13.setName("jLabel13"); // NOI18N

        jTextField7.setFont(new java.awt.Font("Tahoma", 1, 12));
        jTextField7.setName("jTextField7"); // NOI18N
        jTextField7.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                jTextField7FocusLost(evt);
            }
        });

        jLabel15.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel15.setText("Clave SOL");
        jLabel15.setName("jLabel15"); // NOI18N

        jPasswordField1.setFont(new java.awt.Font("Tahoma", 0, 14));
        jPasswordField1.setName("jPasswordField1"); // NOI18N

        try {
            jFormattedTextField2.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("###########")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jFormattedTextField2.setFont(new java.awt.Font("Tahoma", 1, 12));
        jFormattedTextField2.setName("jFTFRUC"); // NOI18N

        try {
            jFormattedTextField3.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("AAAAAAAA")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jFormattedTextField3.setFont(new java.awt.Font("Tahoma", 1, 12));
        jFormattedTextField3.setName("jFormattedTextField3"); // NOI18N
        jFormattedTextField3.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                jFormattedTextField3FocusLost(evt);
            }
        });

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel12, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                        .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel4Layout.createSequentialGroup()
                            .addGap(100, 100, 100)
                            .addComponent(jFormattedTextField2))
                        .addComponent(jLabel13, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel4Layout.createSequentialGroup()
                            .addGap(100, 100, 100)
                            .addComponent(jTextField7, javax.swing.GroupLayout.DEFAULT_SIZE, 123, Short.MAX_VALUE))))
                .addGap(57, 57, 57)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel15, javax.swing.GroupLayout.PREFERRED_SIZE, 96, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel14, javax.swing.GroupLayout.PREFERRED_SIZE, 96, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(4, 4, 4)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jFormattedTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jPasswordField1, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(108, Short.MAX_VALUE))
        );

        jPanel4Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {jFormattedTextField3, jPasswordField1});

        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addGap(11, 11, 11)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel12)
                    .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jLabel14)
                        .addComponent(jFormattedTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jFormattedTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addGap(5, 5, 5)
                        .addComponent(jLabel13))
                    .addComponent(jTextField7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jLabel15)
                        .addComponent(jPasswordField1, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanel4Layout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {jFormattedTextField2, jFormattedTextField3, jPasswordField1, jTextField7});

        jTabbedPane1.setName("jTabbedPane1"); // NOI18N
        jTabbedPane1.addChangeListener(new javax.swing.event.ChangeListener() {
            public void stateChanged(javax.swing.event.ChangeEvent evt) {
                jTabbedPane1StateChanged(evt);
            }
        });

        jPanel2.setName("jPanel2"); // NOI18N

        javax.swing.ActionMap actionMap = org.jdesktop.application.Application.getInstance().getContext().getActionMap(MainSenderForm.class, this);
        jButton1.setAction(actionMap.get("enviarArchivo")); // NOI18N
        jButton1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/send.png"))); // NOI18N
        jButton1.setText("Enviar archivo(s)");
        jButton1.setName("jButton1"); // NOI18N

        jLabel1.setText("Nro.Transacción");
        jLabel1.setName("jLabel1"); // NOI18N

        jButton2.setAction(actionMap.get("clicEscogerArchivo")); // NOI18N
        jButton2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/folder-explorer.png"))); // NOI18N
        jButton2.setName("jButton2"); // NOI18N

        jDesktopPane1.setName("jDesktopPane1"); // NOI18N

        jLabel6.setText("Nombre del archivo");
        jLabel6.setName("jLabel6"); // NOI18N

        jTextField2.setName("jTextField2"); // NOI18N

        jButton3.setAction(actionMap.get("agregarArchivoTablaEnviar")); // NOI18N
        jButton3.setText("Agregar");
        jButton3.setName("jButton3"); // NOI18N

        jScrollPane2.setName("jScrollPane2"); // NOI18N

        jTable1.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null}
            },
            new String [] {
                "Nro Transacción", "Archivo"
            }
        ) {
            Class[] types = new Class [] {
                java.lang.String.class, java.lang.String.class
            };
            boolean[] canEdit = new boolean [] {
                false, false
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jTable1.setToolTipText("Para borrar un item de la lista, haga clic sobre el item y presione el boton SUPR del teclado");
        jTable1.setAutoResizeMode(javax.swing.JTable.AUTO_RESIZE_LAST_COLUMN);
        jTable1.setName("jTable1"); // NOI18N
        jTable1.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                jTable1KeyPressed(evt);
            }
        });
        jScrollPane2.setViewportView(jTable1);
        jTable1.getColumnModel().getColumn(0).setMinWidth(100);
        jTable1.getColumnModel().getColumn(0).setPreferredWidth(100);
        jTable1.getColumnModel().getColumn(0).setMaxWidth(20);

        jScrollPane1.setName("jScrollPane1"); // NOI18N

        jTextArea1.setColumns(20);
        jTextArea1.setRows(5);
        jTextArea1.setName("jTextArea1"); // NOI18N
        jScrollPane1.setViewportView(jTextArea1);

        jProgressBar1.setName("jProgressBar1"); // NOI18N
        jProgressBar1.setStringPainted(true);

        jLabel7.setText("Progreso");
        jLabel7.setName("jLabel7"); // NOI18N

        jFormattedTextField1.setColumns(4);
        try {
            jFormattedTextField1.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("####")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jFormattedTextField1.setToolTipText("en caso de enviar un archivo ZIP ingrese el numero de transaccion de 4 digitos. \\nDejar en blanco si va a procesar mediante un archivo TXT.");
        jFormattedTextField1.setName("jFormattedTextField1"); // NOI18N

        jButton10.setAction(actionMap.get("limpiarListaEnvios")); // NOI18N
        jButton10.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/clean.png"))); // NOI18N
        jButton10.setText("Limpiar lista");
        jButton10.setName("jButton10"); // NOI18N

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel2Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 589, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel2Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 589, Short.MAX_VALUE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addGap(10, 10, 10)
                                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jDesktopPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 104, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addContainerGap()
                                .addComponent(jFormattedTextField1, javax.swing.GroupLayout.DEFAULT_SIZE, 104, Short.MAX_VALUE)))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, 311, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 51, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(6, 6, 6)
                                .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 93, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jLabel6)))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGap(176, 176, 176)
                        .addComponent(jButton10, javax.swing.GroupLayout.PREFERRED_SIZE, 129, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 95, Short.MAX_VALUE)
                        .addComponent(jLabel7)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jProgressBar1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(267, 267, 267))
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 160, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(435, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 14, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel6))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jDesktopPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(jFormattedTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 124, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jProgressBar1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButton10)
                    .addComponent(jLabel7))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 221, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(12, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Enviar", jPanel2);

        jPanel3.setName("jPanel3"); // NOI18N

        jPanel5.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jPanel5.setName("jPanel5"); // NOI18N

        jPanel6.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jPanel6.setName("jPanel6"); // NOI18N

        jLabel8.setText("Año de Envío");
        jLabel8.setName("jLabel8"); // NOI18N

        jSpinner1.setName("jSpinner1"); // NOI18N
        jSpinner1.setValue(getAnhoEnvioDefault());

        jLabel9.setText("Número de Ticket");
        jLabel9.setName("jLabel9"); // NOI18N

        jFormattedTextField4.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("######0"))));
        jFormattedTextField4.setDoubleBuffered(true);
        jFormattedTextField4.setName("jFormattedTextField4"); // NOI18N

        javax.swing.GroupLayout jPanel6Layout = new javax.swing.GroupLayout(jPanel6);
        jPanel6.setLayout(jPanel6Layout);
        jPanel6Layout.setHorizontalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel6Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jSpinner1, javax.swing.GroupLayout.DEFAULT_SIZE, 63, Short.MAX_VALUE)
                    .addComponent(jLabel8))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jFormattedTextField4, javax.swing.GroupLayout.PREFERRED_SIZE, 103, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel9))
                .addContainerGap())
        );
        jPanel6Layout.setVerticalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel8)
                    .addComponent(jLabel9))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jFormattedTextField4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jSpinner1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanel7.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jPanel7.setName("jPanel7"); // NOI18N

        jLabel10.setText("Archivo con tickets");
        jLabel10.setName("jLabel10"); // NOI18N

        jTextField1.setName("jTextField1"); // NOI18N

        jButton5.setAction(actionMap.get("clicEscogerArchivoTickets")); // NOI18N
        jButton5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/folder-explorer.png"))); // NOI18N
        jButton5.setName("jButton5"); // NOI18N

        javax.swing.GroupLayout jPanel7Layout = new javax.swing.GroupLayout(jPanel7);
        jPanel7.setLayout(jPanel7Layout);
        jPanel7Layout.setHorizontalGroup(
            jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel7Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel7Layout.createSequentialGroup()
                        .addComponent(jTextField1, javax.swing.GroupLayout.DEFAULT_SIZE, 195, Short.MAX_VALUE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jButton5, javax.swing.GroupLayout.PREFERRED_SIZE, 45, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18))
                    .addComponent(jLabel10, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        jPanel7Layout.setVerticalGroup(
            jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel7Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel10)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButton5)
                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jButton4.setAction(actionMap.get("agregarTicketTablaConsultar")); // NOI18N
        jButton4.setText("Agregar");
        jButton4.setName("jButton4"); // NOI18N

        javax.swing.GroupLayout jPanel5Layout = new javax.swing.GroupLayout(jPanel5);
        jPanel5.setLayout(jPanel5Layout);
        jPanel5Layout.setHorizontalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel7, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton4)
                .addContainerGap())
        );
        jPanel5Layout.setVerticalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel5Layout.createSequentialGroup()
                        .addComponent(jButton4)
                        .addGap(24, 24, 24))
                    .addGroup(jPanel5Layout.createSequentialGroup()
                        .addComponent(jPanel7, 0, 66, Short.MAX_VALUE)
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(jPanel5Layout.createSequentialGroup()
                        .addComponent(jPanel6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap())))
        );

        jScrollPane3.setName("jScrollPane3"); // NOI18N

        jTable2.setAutoCreateRowSorter(true);
        jTable2.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Año", "Ticket", "Archivo recibido"
            }
        ) {
            Class[] types = new Class [] {
                java.lang.String.class, java.lang.String.class, java.lang.String.class
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }
        });
        jTable2.setToolTipText("Para borrar un item de la lista, haga clic sobre el item y presione el boton SUPR del teclado");
        jTable2.setColumnSelectionAllowed(true);
        jTable2.setName("jTable2"); // NOI18N
        jTable2.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                jTable2KeyPressed(evt);
            }
        });
        jScrollPane3.setViewportView(jTable2);
        jTable2.getColumnModel().getSelectionModel().setSelectionMode(javax.swing.ListSelectionModel.SINGLE_SELECTION);
        jTable2.getColumnModel().getColumn(0).setMinWidth(60);
        jTable2.getColumnModel().getColumn(0).setPreferredWidth(60);
        jTable2.getColumnModel().getColumn(0).setMaxWidth(60);
        jTable2.getColumnModel().getColumn(1).setMinWidth(100);
        jTable2.getColumnModel().getColumn(1).setPreferredWidth(100);
        jTable2.getColumnModel().getColumn(1).setMaxWidth(100);

        jScrollPane4.setName("jScrollPane4"); // NOI18N

        jTextArea2.setColumns(20);
        jTextArea2.setRows(5);
        jTextArea2.setName("jTextArea2"); // NOI18N
        jScrollPane4.setViewportView(jTextArea2);

        jButton6.setAction(actionMap.get("enviarTickets")); // NOI18N
        jButton6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/send.png"))); // NOI18N
        jButton6.setText("Consultar resultados");
        jButton6.setName("jButton6"); // NOI18N

        jProgressBar2.setName("jProgressBar2"); // NOI18N
        jProgressBar2.setStringPainted(true);

        jLabel11.setText("Progreso");
        jLabel11.setName("jLabel11"); // NOI18N

        jButton7.setAction(actionMap.get("limpiarListaConsultar")); // NOI18N
        jButton7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/clean.png"))); // NOI18N
        jButton7.setText("Limpiar lista");
        jButton7.setName("jButton7"); // NOI18N

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel3Layout.createSequentialGroup()
                        .addComponent(jButton6, javax.swing.GroupLayout.PREFERRED_SIZE, 181, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(jButton7)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 74, Short.MAX_VALUE)
                        .addComponent(jLabel11)
                        .addGap(18, 18, 18)
                        .addComponent(jProgressBar2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jScrollPane4, javax.swing.GroupLayout.DEFAULT_SIZE, 585, Short.MAX_VALUE)
                    .addComponent(jScrollPane3, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 585, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel5, javax.swing.GroupLayout.PREFERRED_SIZE, 91, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 136, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jButton6)
                        .addComponent(jButton7))
                    .addComponent(jProgressBar2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel11))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane4, javax.swing.GroupLayout.PREFERRED_SIZE, 161, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(67, 67, 67))
        );

        jTabbedPane1.addTab("Consultar", jPanel3);

        jPanel8.setName("jPanel8"); // NOI18N

        jPanel11.setBorder(javax.swing.BorderFactory.createTitledBorder("Parámetros"));
        jPanel11.setName("jPanel11"); // NOI18N

        jLabel16.setText("Directorio documentos aduaneros");
        jLabel16.setName("jLabel16"); // NOI18N

        jLabel19.setText("Número de RUC");
        jLabel19.setName("jLabel19"); // NOI18N

        jLabel20.setText("Usuario SOL");
        jLabel20.setName("jLabel20"); // NOI18N

        jLabel21.setText("Código de Envío");
        jLabel21.setName("jLabel21"); // NOI18N

        jTextField3.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        jTextField3.setName("jTextField3"); // NOI18N

        try {
            jFormattedTextField5.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("###########")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jFormattedTextField5.setName("jFormattedTextField5"); // NOI18N

        try {
            jFormattedTextField6.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("AAAAAAAA")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jFormattedTextField6.setName("jFormattedTextField6"); // NOI18N

        try {
            jFormattedTextField7.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("AAAAAAAAAAAA")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jFormattedTextField7.setName("jFormattedTextField7"); // NOI18N

        jButton8.setAction(actionMap.get("grabarConfiguracion")); // NOI18N
        jButton8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/save.png"))); // NOI18N
        jButton8.setText("Guardar configuración");
        jButton8.setName("jButton8"); // NOI18N

        jButton9.setAction(actionMap.get("escogerDirectorioDA")); // NOI18N
        jButton9.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/folder-explorer.png"))); // NOI18N
        jButton9.setName("jButton9"); // NOI18N

        jLabel22.setText("Directorio archivos Acuse");
        jLabel22.setName("jLabel22"); // NOI18N

        jLabel23.setText("Directorio archivos Respuesta");
        jLabel23.setName("jLabel23"); // NOI18N

        jTextField5.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        jTextField5.setName("jTextField5"); // NOI18N

        jButton11.setAction(actionMap.get("escogerDirectorioAcuse")); // NOI18N
        jButton11.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/folder-explorer.png"))); // NOI18N
        jButton11.setName("jButton11"); // NOI18N

        jTextField6.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        jTextField6.setName("jTextField6"); // NOI18N

        jButton12.setAction(actionMap.get("escogerDirectorioRespuesta")); // NOI18N
        jButton12.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/folder-explorer.png"))); // NOI18N
        jButton12.setName("jButton12"); // NOI18N

        javax.swing.GroupLayout jPanel11Layout = new javax.swing.GroupLayout(jPanel11);
        jPanel11.setLayout(jPanel11Layout);
        jPanel11Layout.setHorizontalGroup(
            jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel11Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButton8, javax.swing.GroupLayout.PREFERRED_SIZE, 202, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel11Layout.createSequentialGroup()
                        .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel16)
                            .addComponent(jLabel22)
                            .addComponent(jLabel23)
                            .addComponent(jLabel19)
                            .addComponent(jLabel20)
                            .addComponent(jLabel21))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel11Layout.createSequentialGroup()
                                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(jTextField6, javax.swing.GroupLayout.PREFERRED_SIZE, 298, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, 298, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, 298, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(jButton11, 0, 0, Short.MAX_VALUE)
                                    .addComponent(jButton9, javax.swing.GroupLayout.PREFERRED_SIZE, 41, Short.MAX_VALUE)
                                    .addComponent(jButton12, javax.swing.GroupLayout.PREFERRED_SIZE, 50, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                .addComponent(jFormattedTextField5, javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(jFormattedTextField6, javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(jFormattedTextField7, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, 138, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap(30, Short.MAX_VALUE))
        );
        jPanel11Layout.setVerticalGroup(
            jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel11Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel16)
                    .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButton9))
                .addGap(18, 18, 18)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel22)
                    .addComponent(jTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButton11))
                .addGap(18, 18, 18)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel23)
                    .addComponent(jTextField6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButton12))
                .addGap(59, 59, 59)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel19)
                    .addComponent(jFormattedTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel20)
                    .addComponent(jFormattedTextField6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel21)
                    .addComponent(jFormattedTextField7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(jButton8)
                .addContainerGap(26, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout jPanel8Layout = new javax.swing.GroupLayout(jPanel8);
        jPanel8.setLayout(jPanel8Layout);
        jPanel8Layout.setHorizontalGroup(
            jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel8Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel11, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel8Layout.setVerticalGroup(
            jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel8Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel11, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(78, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Configuración", jPanel8);

        jLblDireccionIP.setText(getDireccionIP());
        jLblDireccionIP.setName("jLblDireccionIP"); // NOI18N

        jLabel17.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel17.setText("Ubicación:");
        jLabel17.setName("jLabel17"); // NOI18N

        jLblMacAddress.setText(getHardwareAddress());
        jLblMacAddress.setName("jLblMacAddress"); // NOI18N

        jLabel18.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/url.png"))); // NOI18N
        jLabel18.setText("wsdl");
        jLabel18.setName("jLabel18"); // NOI18N

        jScrollPane5.setBorder(javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1));
        jScrollPane5.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
        jScrollPane5.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER);
        jScrollPane5.setName("jScrollPane5"); // NOI18N

        jTextArea3.setBackground(new java.awt.Color(240, 240, 240));
        jTextArea3.setColumns(20);
        jTextArea3.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jTextArea3.setLineWrap(true);
        jTextArea3.setRows(5);
        jTextArea3.setText("Esta herramienta permite el envío de archivos al SEIDA, primero ingrese los datos de autenticación, luego seleccione uno o más archivos y el botón Enviar archivo(s)");
        jTextArea3.setWrapStyleWord(true);
        jTextArea3.setAutoscrolls(false);
        jTextArea3.setBorder(javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1));
        jTextArea3.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        jTextArea3.setFocusable(false);
        jTextArea3.setName("jTextArea3"); // NOI18N
        jScrollPane5.setViewportView(jTextArea3);

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane5, javax.swing.GroupLayout.DEFAULT_SIZE, 621, Short.MAX_VALUE)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 287, Short.MAX_VALUE)
                        .addComponent(jLabel3)
                        .addContainerGap())
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jPanel4, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGap(11, 11, 11))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTabbedPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 610, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel17)
                                .addGap(18, 18, 18)
                                .addComponent(jLblDireccionIP)
                                .addGap(18, 18, 18)
                                .addComponent(jLblMacAddress)))
                        .addContainerGap())
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel18, javax.swing.GroupLayout.PREFERRED_SIZE, 590, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap(31, Short.MAX_VALUE))))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3))
                .addGap(3, 3, 3)
                .addComponent(jScrollPane5, javax.swing.GroupLayout.PREFERRED_SIZE, 47, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel17)
                    .addComponent(jLblDireccionIP)
                    .addComponent(jLblMacAddress))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTabbedPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 482, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel18)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jTabbedPane1.getAccessibleContext().setAccessibleName("Enviar");

        jMenuBar1.setName("jMenuBar1"); // NOI18N

        jMenu1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/acercade.gif"))); // NOI18N
        jMenu1.setText("Acerca de");
        jMenu1.setName("jMenu1"); // NOI18N
        jMenu1.addMenuListener(new javax.swing.event.MenuListener() {
            public void menuCanceled(javax.swing.event.MenuEvent evt) {
            }
            public void menuDeselected(javax.swing.event.MenuEvent evt) {
            }
            public void menuSelected(javax.swing.event.MenuEvent evt) {
                jMenu1MenuSelected(evt);
            }
        });
        jMenuBar1.add(jMenu1);

        jMenu2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pe/gob/sunat/tecnologia/receptor/cliente/forms/resources/exit.gif"))); // NOI18N
        jMenu2.setText("Salir");
        jMenu2.setName("jMenu2"); // NOI18N
        jMenu2.addMenuListener(new javax.swing.event.MenuListener() {
            public void menuCanceled(javax.swing.event.MenuEvent evt) {
            }
            public void menuDeselected(javax.swing.event.MenuEvent evt) {
            }
            public void menuSelected(javax.swing.event.MenuEvent evt) {
                jMenu2MenuSelected(evt);
            }
        });
        jMenuBar1.add(jMenu2);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * controla la eliminacion de los registros en la tabla de envios, mediante la tecla DELETE.
     *
     * @param evt
     */
    private void jTable1KeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTable1KeyPressed
        // TODO add your handling code here:
        if (evt.getKeyCode() == KeyEvent.VK_DELETE){
            int[] p = jTable1.getSelectedRows();
            if(p.length>=0){
                for (int i=p.length-1;i>=0;i--){
                    log.debug("fila de tabla enviar " + p[i] + " borrada");
                    itemsTablaEnviar.remove(p[i]);
                }
                tableRegenerateEnviar();
            }
        }
    }//GEN-LAST:event_jTable1KeyPressed

    /**
     *
     * @param evt
     */
    private void jTextField7FocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jTextField7FocusLost
        // TODO add your handling code here:
        this.jTextField7.setText( this.jTextField7.getText().toUpperCase() );
    }//GEN-LAST:event_jTextField7FocusLost

    /**
     *
     * @param evt
     */
    private void jFormattedTextField3FocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jFormattedTextField3FocusLost
        // TODO add your handling code here:
        this.jFormattedTextField3.setText( this.jFormattedTextField3.getText().toUpperCase() );
    }//GEN-LAST:event_jFormattedTextField3FocusLost

    /**
     * controla la eliminacion de los registros en la tabla de tickets, mediante la tecla DELETE.
     *
     * @param evt
     */
    private void jTable2KeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTable2KeyPressed
        // TODO add your handling code here:
        if (evt.getKeyCode() == KeyEvent.VK_DELETE){
            int[] p = jTable2.getSelectedRows();
            if(p.length>=0){
                for (int i=p.length-1;i>=0;i--){
                    log.debug("fila de tabla consulta " + p[i] + " borrada");
                    itemsTablaConsultar.remove(p[i]);
                }
                tableRegenerateConsultar();
            }
        }
    }//GEN-LAST:event_jTable2KeyPressed

    private void jTabbedPane1StateChanged(javax.swing.event.ChangeEvent evt) {//GEN-FIRST:event_jTabbedPane1StateChanged
        // TODO add your handling code here:
        if(this.jTabbedPane1.getSelectedIndex() == 0){
            this.jTextArea3.setText("Esta opción permite el envío de archivos al SEIDA, primero ingrese los datos de autenticación, luego seleccione uno o más archivos y de clic en el botón Enviar archivo(s).");
        } else if(this.jTabbedPane1.getSelectedIndex() == 1){
            this.jTextArea3.setText("Esta opción permite consultar la respuesta generada por el SEIDA, primero ingrese los datos de autenticación, luego indique el(los) #ticket y de clic en el botón Consultar resultados.");
        } else if(this.jTabbedPane1.getSelectedIndex() == 2){
            this.jTextArea3.setText("Esta opción permite indicar la configuración de la herramienta, como directorios de trabajo y datos de autenticación, para salvar los datos de clic en el botón Guardar configuración.");
        }
    }//GEN-LAST:event_jTabbedPane1StateChanged

    private void jMenu1MenuSelected(javax.swing.event.MenuEvent evt) {//GEN-FIRST:event_jMenu1MenuSelected
        // TODO add your handling code here:
        JOptionPane.showMessageDialog(rootPane, "Herramienta elaborada por SUNAT\npara la transmisión de archivos al SEIDA.\n\nSu distribución y uso es gratuito bajo la modalidad LGPL.\n\nAño 2011-2012 versión 1.1\n\n", "Acerca de", JOptionPane.INFORMATION_MESSAGE);
    }//GEN-LAST:event_jMenu1MenuSelected

    private void jMenu2MenuSelected(javax.swing.event.MenuEvent evt) {//GEN-FIRST:event_jMenu2MenuSelected
        // TODO add your handling code here:
        System.exit(0);
    }//GEN-LAST:event_jMenu2MenuSelected

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new MainSenderForm().setVisible(true);
            }
        });
    }

    /**
     * Abre un dialogo para escoger el archivo ZIP o TXT a enviar. Toma el
     * directorio configurado como "documentos aduaneros" como raiz.
     */
    @Action
    public void clicEscogerArchivo() {
        JFileChooser fc = new JFileChooser();
        fc.setCurrentDirectory(Util.currentDirForDialog(this.jTextField3.getText()));
        fc.addChoosableFileFilter(new ZipFilter());
        fc.showOpenDialog(this);
        File selFile = fc.getSelectedFile();
        if (selFile != null) {
            this.jTextField2.setText(selFile.getPath());
        }
    }

    @Action
    public void agregarArchivoTablaEnviar() {

        if(this.jTextField2.getText() == null || this.jTextField2.getText().trim().length() == 0){
            JOptionPane.showMessageDialog(rootPane, "El nombre del archivo no puede estar en blanco", "Error", JOptionPane.ERROR_MESSAGE);
            return;
        }
        if(!this.jTextField2.getText().toLowerCase().endsWith("txt")){
            if(this.jFormattedTextField1.getText() == null || this.jFormattedTextField1.getText().trim().length() == 0 ){
                JOptionPane.showMessageDialog(rootPane, "El numero de transaccion no puede estar en blanco", "Error", JOptionPane.ERROR_MESSAGE);
                return;
            }
        }
        if(!this.jTextField2.getText().toLowerCase().endsWith("zip") && !this.jTextField2.getText().toLowerCase().endsWith("txt")){
            JOptionPane.showMessageDialog(rootPane, "El nombre del archivo puede ser un archivo ZIP que contiene el XML \no puede ser un archivo TXT que contiene las ubicaciones \nde los archivoz ZIP a enviar", "Error", JOptionPane.ERROR_MESSAGE);
            return;
        }

        if(this.jTextField2.getText().toLowerCase().endsWith("zip")){
            ItemTablaEnviar itemTablaEnviar = new ItemTablaEnviar();
            itemTablaEnviar.setNumTransaccion(this.jFormattedTextField1.getText());
            itemTablaEnviar.setNomArchivo(this.jTextField2.getText());

            if(!itemsTablaEnviar.contains(itemTablaEnviar)){
                itemsTablaEnviar.add(itemTablaEnviar);
            } else {
                JOptionPane.showMessageDialog(rootPane, "El archivo para la misma transacción ya existe en la relación.", "Error", JOptionPane.ERROR_MESSAGE);
            }
        } else {
            // procesar el contenido
            File f = new File(this.jTextField2.getText());
            BufferedReader bufferedReader = null;
            try {
                ItemTablaEnviar itemTablaEnviar = null;
                String line = null;
                String[] partes = null;
                boolean error = false;
                bufferedReader = new java.io.BufferedReader(new FileReader(f));
                while ( (line=bufferedReader.readLine()) != null){
                    partes = line.split(",");
                    if(partes.length == 2){

                        itemTablaEnviar = new ItemTablaEnviar();
                        itemTablaEnviar.setNumTransaccion(partes[0]);
                        itemTablaEnviar.setNomArchivo(partes[1]);

                        if(!itemsTablaEnviar.contains(itemTablaEnviar)){
                            itemsTablaEnviar.add(itemTablaEnviar);
                        } else {
                            log.warn("El elemento " + line + " ya existe en la relacion. Item ha sido descartado");
                            error = true;
                        }

                    }else{
                        log.warn("El elemento " + line + " no cumple con el formato");
                    }
                }
                if(error){
                    JOptionPane.showMessageDialog(rootPane, "Se encontraron algunos errores en el contenido del archivo, algunos archivos han sido descartados.\nrevise el archivo de log para más detalle", "Aviso", JOptionPane.WARNING_MESSAGE);
                }

            } catch (FileNotFoundException ex) {
                log.error(this, ex);
            } catch (IOException ex) {
                log.error(this, ex);
            } finally {
                try {
                    bufferedReader.close();
                } catch (IOException ex) {
                    log.warn(this, ex);
                }
            }
        }


        tableRegenerateEnviar();
    }

    private void tableRegenerateEnviar(){
        Object[][] data = new Object[itemsTablaEnviar.size()][2];

        for (int i=0; i < itemsTablaEnviar.size(); i++){
            data[i][0] = itemsTablaEnviar.get(i).getNumTransaccion();
            data[i][1] = itemsTablaEnviar.get(i).getNomArchivo();
        }

        jTable1.setModel(new javax.swing.table.DefaultTableModel(
                    data, columnNames ) {
            Class[] types = new Class [] {
                java.lang.String.class, java.lang.String.class
            };
            boolean[] canEdit = new boolean [] {
                false, false
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });

        jTable1.setAutoResizeMode(javax.swing.JTable.AUTO_RESIZE_LAST_COLUMN);
        jTable1.getColumnModel().getColumn(0).setMinWidth(100);
        jTable1.getColumnModel().getColumn(0).setPreferredWidth(100);
        jTable1.getColumnModel().getColumn(0).setMaxWidth(20);

        this.jFormattedTextField1.setValue(null);
        this.jTextField2.setText(null);


    }
    private void tableRegenerateConsultar(){
        Object[][] data = new Object[itemsTablaConsultar.size()][3];

        for (int i=0; i < itemsTablaConsultar.size(); i++){
            data[i][0] = itemsTablaConsultar.get(i).getAnhoEnvio();
            data[i][1] = itemsTablaConsultar.get(i).getNumTicket();
            data[i][2] = itemsTablaConsultar.get(i).getNomArchivoRpta();
        }

        jTable2.setModel(new javax.swing.table.DefaultTableModel(
                    data, columnNamesConsultar ) {
            Class[] types = new Class [] {
                java.lang.String.class, java.lang.String.class, java.lang.String.class
            };
            boolean[] canEdit = new boolean [] {
                false, false, false
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });

        jTable2.setAutoResizeMode(javax.swing.JTable.AUTO_RESIZE_LAST_COLUMN);
        jTable2.getColumnModel().getColumn(0).setMinWidth(60);
        jTable2.getColumnModel().getColumn(0).setPreferredWidth(60);
        jTable2.getColumnModel().getColumn(0).setMaxWidth(60);
        jTable2.getColumnModel().getColumn(1).setMinWidth(100);
        jTable2.getColumnModel().getColumn(1).setPreferredWidth(100);
        jTable2.getColumnModel().getColumn(1).setMaxWidth(100);

        this.jFormattedTextField4.setValue(null);
        this.jTextField1.setText(null);


    }

    @Action
    public void enviarArchivo() {
        if(!validarParametrosAutenticacion(Operacion.OP_ENVIAR)) return;
        this.jProgressBar1.setMinimum(0);
        this.jProgressBar1.setMaximum(this.itemsTablaEnviar.size());
        this.jProgressBar1.setValue(0);
        
        taskEnviar = new TaskEnviar();
        taskEnviar.execute();

    }
    @Action
    public void enviarTickets() {
        if(!validarParametrosAutenticacion(Operacion.OP_CONSULTAR)) return;
        this.jProgressBar2.setMinimum(0);
        this.jProgressBar2.setMaximum(this.itemsTablaConsultar.size());
        this.jProgressBar2.setValue(0);

        taskConsultar = new TaskConsultar();
        taskConsultar.execute();

    }

    /**
     * Valida que se hayan ingresado los 4 campos de la autenticacion.
     *
     * @param operacion Operacion, indica si es un envio o una consulta.
     * @return boolean, true si los parametros estan correctos o false de ocurrir algun error.
     */
    private boolean validarParametrosAutenticacion(Operacion operacion){
        if(this.jFormattedTextField2.getText() == null || this.jFormattedTextField2.getText().trim().length() == 0 ||
           this.jFormattedTextField3.getText() == null || this.jFormattedTextField3.getText().trim().length() == 0 ||
           this.jTextField7.getText() == null || this.jTextField7.getText().trim().length() == 0 ||
           this.jPasswordField1.getPassword() == null || this.jPasswordField1.getPassword().length == 0
           ){
            JOptionPane.showMessageDialog(rootPane, "Los parámetros de autenticación están incompletos", "Error", JOptionPane.ERROR_MESSAGE);
            return false;
        }
        switch(operacion){
            case OP_ENVIAR:
                if(this.itemsTablaEnviar.isEmpty()){
                    JOptionPane.showMessageDialog(rootPane, "No hay archivos en la tabla a enviar", "Error", JOptionPane.ERROR_MESSAGE);
                    return false;
                }
                break;
            case OP_CONSULTAR:
                if(this.itemsTablaConsultar.isEmpty()){
                    JOptionPane.showMessageDialog(rootPane, "No hay tickets en la tabla a consultar", "Error", JOptionPane.ERROR_MESSAGE);
                    return false;
                }
        }

       return true;
    }

    /**
     * Año por defecto a ser utilizado en la consulta del resultado.
     *
     * @return año actual, numero entero a 4 digitos
     */
    public int getAnhoEnvioDefault(){
        Calendar instance = Calendar.getInstance();
        return instance.get(Calendar.YEAR);
    }

    /**
     * Obtiene la Direccion IP de la PC desde donde se esta enviando o consultando al SEIDA
     *
     * @return Direccion IP o - si no se puede obtener
     */
    public String getDireccionIP(){
        try {
            InetAddress thisIp = InetAddress.getLocalHost();
            return thisIp.getHostAddress();
        } catch (UnknownHostException ex) {
            log.error(this, ex);
        }
        return "-";
    }

    /**
     * Obtiene la MAC Address de la PC desde donde se esta enviando o consultando al SEIDA
     *
     * @return String Direccion MAC o - si no se puede obtener
     */
    public String getHardwareAddress(){
        try {
            NetworkInterface ni = NetworkInterface.getByInetAddress(InetAddress.getLocalHost());
            // NetworkInterface ni = NetworkInterface.getByName(getDireccionIP());
            byte[] hardwareAddress = ni.getHardwareAddress();
            return Util.bytesToHexString(hardwareAddress);
        } catch (UnknownHostException ex) {
            log.error(this, ex);
        } catch (SocketException ex) {
            log.error(this, ex);
        }
        return "-";
    }

    @Action
    public void agregarTicketTablaConsultar() {
        if(log.isDebugEnabled()){
           log.debug("numero ticket:" + this.jFormattedTextField4.getText() + " - " + this.jFormattedTextField4.getSelectedText() + " - " + this.jFormattedTextField4.toString());
        }
        if( (this.jFormattedTextField4.getText() == null || this.jFormattedTextField4.getText().trim().length() == 0) &&
                (this.jTextField1.getText() == null || this.jTextField1.getText().trim().length() == 0)
                ){
            JOptionPane.showMessageDialog(rootPane, "Debe ingresar el número de ticket o indicar un archivo desde donde obtener los tickets", "Error", JOptionPane.ERROR_MESSAGE);
            return;
        }

        if( this.jFormattedTextField4.getText() != null && this.jFormattedTextField4.getText().trim().length() > 0){

            try {
                Long.parseLong(this.jFormattedTextField4.getText());
            } catch(NumberFormatException e){
                JOptionPane.showMessageDialog(rootPane, "El número de ticket debe ser un valor númerico", "Error", JOptionPane.ERROR_MESSAGE);
                return;
            }


            ItemTablaConsultar itemTablaConsultar = new ItemTablaConsultar();
            itemTablaConsultar.setAnhoEnvio( ((Integer)this.jSpinner1.getValue()).toString() );
            itemTablaConsultar.setNumTicket(this.jFormattedTextField4.getText());
            itemTablaConsultar.setNomArchivoRpta("");
            if(!itemsTablaConsultar.contains(itemTablaConsultar)){
                itemsTablaConsultar.add(itemTablaConsultar);
            } else {
                JOptionPane.showMessageDialog(rootPane, "Item con el mismo año y número ya existe en la lista", "Error", JOptionPane.ERROR_MESSAGE);
            }
        } else if(this.jTextField1.getText() != null || this.jTextField1.getText().trim().length() > 0){

            File f = new File(this.jTextField1.getText());
            BufferedReader bufferedReader = null;
            try {
                ItemTablaConsultar itemTablaConsultar = null;
                boolean error = false;
                String line = null;
                String[] partes = null;
                bufferedReader = new java.io.BufferedReader(new FileReader(f));
                while ( (line=bufferedReader.readLine()) != null){
                    partes = line.split(",");
                    if(partes.length >= 2){
                        try {
                            Integer.parseInt(partes[0]);
                            Integer.parseInt(partes[1]);
                            
                            itemTablaConsultar = new ItemTablaConsultar();
                            itemTablaConsultar.setAnhoEnvio(partes[0]);
                            itemTablaConsultar.setNumTicket(partes[1]);
                            itemTablaConsultar.setNomArchivoRpta("");

                            if(!itemsTablaConsultar.contains(itemTablaConsultar)){
                                itemsTablaConsultar.add(itemTablaConsultar);
                            } else {
                                log.warn("Item con el mismo año y número ya existe en la lista " + line + ". Linea descartada");
                            }

                        }catch(NumberFormatException e){
                            log.warn("Año de envio o número en la linea " + line + " invalido. Linea descartada");
                            error = true;
                        }
                    }else{
                        log.warn("El elemento " + line + " no cumple con el formato");
                    }
                }
                if(error){
                    JOptionPane.showMessageDialog(rootPane, "Se encontraron algunos errores en el archivo de tickets, algunos tickets han sido descartados.\nrevise el archivo de log para más detalle", "Aviso", JOptionPane.WARNING_MESSAGE);
                }

            } catch (FileNotFoundException ex) {
                log.error(this, ex);
            } catch (IOException ex) {
                log.error(this, ex);
            } finally {
                try {
                    bufferedReader.close();
                } catch (IOException ex) {
                    log.warn(this, ex);
                }
            }
        }
        this.tableRegenerateConsultar();
    }

    /**
     * Abre un dialogo para escoger el archivo TXT con los tickets a consultar. Toma el
     * directorio configurado como "documentos aduaneros" como raiz.
     */
    @Action
    public void clicEscogerArchivoTickets() {
        JFileChooser fc = new JFileChooser();
        fc.setCurrentDirectory(Util.currentDirForDialog(this.jTextField3.getText()));
        fc.addChoosableFileFilter(new TxtFilter());
        fc.showOpenDialog(this);
        File selFile = fc.getSelectedFile();
        if (selFile != null) {
            this.jTextField1.setText(selFile.getPath());
        }
    }

    @Action
    public void limpiarListaConsultar() {
        this.itemsTablaConsultar.clear();
        this.tableRegenerateConsultar();
    }

    @Action
    public void escogerDirectorioDA() {
        JFileChooser fc = new JFileChooser();
        fc.setCurrentDirectory(Util.currentDirForDialog(this.jTextField3.getText()));
        fc.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
        fc.showOpenDialog(this);
        File selFile = fc.getSelectedFile();
        if (selFile != null) {
            this.jTextField3.setText(selFile.getPath());
        }
    }

    @Action
    public void escogerDirectorioAcuse() {
        JFileChooser fc = new JFileChooser();
        fc.setCurrentDirectory(Util.currentDirForDialog(this.jTextField5.getText()));
        fc.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
        fc.showOpenDialog(this);
        File selFile = fc.getSelectedFile();
        if (selFile != null) {
            this.jTextField5.setText(selFile.getPath());
        }
    }

    @Action
    public void escogerDirectorioRespuesta() {
        JFileChooser fc = new JFileChooser();
        fc.setCurrentDirectory(Util.currentDirForDialog(this.jTextField6.getText()));
        fc.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
        fc.showOpenDialog(this);
        File selFile = fc.getSelectedFile();
        if (selFile != null) {
            this.jTextField6.setText(selFile.getPath());
        }
    }

    @Action
    public void grabarConfiguracion() {
        BufferedWriter bufferedWriter = null;
        try {

            File d = new File(this.jTextField3.getText());
            if(!d.exists() || !d.isDirectory() || !d.canRead()){
                JOptionPane.showMessageDialog(rootPane, "El directorio de documentos no es valido, porque no existe o no es un directorio o no tiene permisos de lectura", "Error", JOptionPane.ERROR_MESSAGE);
                return;
            }
            String d1 = d.getAbsolutePath().replace('\\', '/');

            d = new File(this.jTextField5.getText());
            if(!d.exists() || !d.isDirectory() || !d.canRead()){
                JOptionPane.showMessageDialog(rootPane, "El directorio de acuses no es valido, porque no existe o no es un directorio o no tiene permisos de lectura", "Error", JOptionPane.ERROR_MESSAGE);
                return;
            }
            String d2 = d.getAbsolutePath().replace('\\', '/');

            d = new File(this.jTextField6.getText());
            if(!d.exists() || !d.isDirectory() || !d.canRead()){
                JOptionPane.showMessageDialog(rootPane, "El directorio de respuestas no es valido, porque no existe o no es un directorio o no tiene permisos de lectura", "Error", JOptionPane.ERROR_MESSAGE);
                return;
            }
            String d3 = d.getAbsolutePath().replace('\\', '/');

            if(this.jFormattedTextField5.getText() == null || this.jFormattedTextField5.getText().trim().length() == 0 ||
               this.jFormattedTextField6.getText() == null || this.jFormattedTextField6.getText().trim().length() == 0 ||
               this.jFormattedTextField7.getText() == null || this.jFormattedTextField7.getText().trim().length() == 0
               ){
                JOptionPane.showMessageDialog(rootPane, "Los parámetros de autenticación están incompletos", "Error", JOptionPane.ERROR_MESSAGE);
                return;
            }

            File f = new File( FILEPROPERTIES );
            bufferedWriter = new BufferedWriter(new FileWriter(f));

            bufferedWriter.write("#Parametros de configuración del SEIDA Tools");
            bufferedWriter.newLine();
            bufferedWriter.write("#SUNAT - SEIDA");
            bufferedWriter.newLine();
            bufferedWriter.newLine();
            bufferedWriter.write("#Este archivo contiene información de configuración de la aplicación cliente del SEIDA.");
            bufferedWriter.newLine();
            bufferedWriter.newLine();
            bufferedWriter.write("[URL]");
            bufferedWriter.newLine();
            bufferedWriter.write("webService=" + this.nombreWsdl);
            bufferedWriter.newLine();
            bufferedWriter.newLine();
            bufferedWriter.write("[Directorios]");
            bufferedWriter.newLine();
            bufferedWriter.write("dirDoc=" + d1);
            bufferedWriter.newLine();
            bufferedWriter.write("dirAcuse=" + d2);
            bufferedWriter.newLine();
            bufferedWriter.write("dirRpta=" + d3);
            bufferedWriter.newLine();
            bufferedWriter.newLine();
            bufferedWriter.write("[Seguridad]");
            bufferedWriter.newLine();
            bufferedWriter.write("ruc=" + this.jFormattedTextField5.getText());
            bufferedWriter.newLine();
            bufferedWriter.write("usuarioSOL=" + this.jFormattedTextField6.getText());
            bufferedWriter.newLine();
            bufferedWriter.write("codigoEnvio=" + this.jFormattedTextField7.getText());
            bufferedWriter.newLine();


            JOptionPane.showMessageDialog(rootPane, "Datos de configuración grabados", "Aviso", JOptionPane.INFORMATION_MESSAGE);


            this.jFormattedTextField2.setText(this.jFormattedTextField5.getText());
            this.jFormattedTextField3.setText(this.jFormattedTextField6.getText());
            this.jTextField7.setText(this.jFormattedTextField7.getText());


        } catch (IOException ex) {
            log.error(this, ex);
        } finally {
            try {
                if(bufferedWriter!=null)bufferedWriter.close();
            } catch (IOException ex) {
                log.error(this, ex);
            }
        }
    }

    @Action
    public void limpiarListaEnvios() {
        this.itemsTablaEnviar.clear();
        tableRegenerateEnviar();
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton10;
    private javax.swing.JButton jButton11;
    private javax.swing.JButton jButton12;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButton5;
    private javax.swing.JButton jButton6;
    private javax.swing.JButton jButton7;
    private javax.swing.JButton jButton8;
    private javax.swing.JButton jButton9;
    private javax.swing.JDesktopPane jDesktopPane1;
    private javax.swing.JFormattedTextField jFormattedTextField1;
    private javax.swing.JFormattedTextField jFormattedTextField2;
    private javax.swing.JFormattedTextField jFormattedTextField3;
    private javax.swing.JFormattedTextField jFormattedTextField4;
    private javax.swing.JFormattedTextField jFormattedTextField5;
    private javax.swing.JFormattedTextField jFormattedTextField6;
    private javax.swing.JFormattedTextField jFormattedTextField7;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel jLblDireccionIP;
    private javax.swing.JLabel jLblMacAddress;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenu jMenu2;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel11;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JPanel jPanel7;
    private javax.swing.JPanel jPanel8;
    private javax.swing.JPasswordField jPasswordField1;
    private javax.swing.JProgressBar jProgressBar1;
    private javax.swing.JProgressBar jProgressBar2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JScrollPane jScrollPane5;
    private javax.swing.JSpinner jSpinner1;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JTable jTable1;
    private javax.swing.JTable jTable2;
    private javax.swing.JTextArea jTextArea1;
    private javax.swing.JTextArea jTextArea2;
    private javax.swing.JTextArea jTextArea3;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JTextField jTextField3;
    private javax.swing.JTextField jTextField5;
    private javax.swing.JTextField jTextField6;
    private javax.swing.JTextField jTextField7;
    // End of variables declaration//GEN-END:variables

}
